%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtscxml
Version:       6.8.2
Release:       1mamba
Summary:       Qt6 scxml component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtscxml-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 scxml component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n qtscxml-everywhere-src-%{version}

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libQt6Scxml.so.*
%{_libdir}/libQt6ScxmlQml.so.*
%{_libdir}/libQt6StateMachine.so.*
%{_libdir}/libQt6StateMachineQml.so.*
%dir %{_libdir}/qt6/qml/QtScxml
%{_libdir}/qt6/qml/QtScxml/*
%{_qt6_plugindir}/scxmldatamodel/libqscxmlecmascriptdatamodel.so
%dir %{_qt6_qmldir}/QtQml/StateMachine
%{_qt6_qmldir}/QtQml/StateMachine/*
%{_qt6_archdatadir}/libexec/qscxmlc
%{_qt6_archdatadir}/modules/Scxml*.json
%{_qt6_archdatadir}/modules/State*.json
%{_qt6_archdatadir}/metatypes/qt6scxml*.json
%{_qt6_archdatadir}/metatypes/qt6statemachine*.json
%{_qt6_archdatadir}/sbom/qtscxml-%{version}.spdx
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_qt6_headerdir}/QtScxml
%{_qt6_headerdir}/QtScxml/*
%dir %{_qt6_headerdir}/QtScxmlQml
%dir %{_qt6_headerdir}/QtScxmlQml/%{version}
%dir %{_qt6_headerdir}/QtScxmlQml/%{version}/QtScxmlQml
%{_qt6_headerdir}/QtScxmlQml/%{version}/QtScxmlQml/*
%{_qt6_headerdir}/QtScxmlQml/QtScxmlQml*
%{_qt6_headerdir}/QtScxmlQml/qtscxmlqml*.h
%dir %{_qt6_headerdir}/QtStateMachine
%dir %{_qt6_headerdir}/QtStateMachine/%{version}
%dir %{_qt6_headerdir}/QtStateMachine/%{version}/QtStateMachine
%dir %{_qt6_headerdir}/QtStateMachine/%{version}/QtStateMachine/private
%{_qt6_headerdir}/QtStateMachine/%{version}/QtStateMachine/private/*
%{_qt6_headerdir}/QtStateMachine/Q*
%{_qt6_headerdir}/QtStateMachine/q*.h
%dir %{_qt6_headerdir}/QtStateMachineQml
%dir %{_qt6_headerdir}/QtStateMachineQml/%{version}
%dir %{_qt6_headerdir}/QtStateMachineQml/%{version}/QtStateMachineQml
%dir %{_qt6_headerdir}/QtStateMachineQml/%{version}/QtStateMachineQml/private
%{_qt6_headerdir}/QtStateMachineQml/%{version}/QtStateMachineQml/private/*
%{_qt6_headerdir}/QtStateMachineQml/QtStateMachineQml*
%{_qt6_headerdir}/QtStateMachineQml/qtstatemachineqml*.h
%{_libdir}/libQt6Scxml.prl
%{_libdir}/libQt6Scxml.so
%{_libdir}/libQt6ScxmlQml.prl
%{_libdir}/libQt6ScxmlQml.so
%{_libdir}/libQt6StateMachine.prl
%{_libdir}/libQt6StateMachine.so
%{_libdir}/libQt6StateMachineQml.prl
%{_libdir}/libQt6StateMachineQml.so
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtScxmlTestsConfig.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6declarative_scxml*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtqmlstatemachine*.cmake
%dir %{_libdir}/cmake/Qt6Scxml
%{_libdir}/cmake/Qt6Scxml/Qt6QScxmlEcmaScriptDataModelPlugin*.cmake
%{_libdir}/cmake/Qt6Scxml/Qt6Scxml*.cmake
%dir %{_libdir}/cmake/Qt6ScxmlQml
%{_libdir}/cmake/Qt6ScxmlQml/Qt6ScxmlQml*.cmake
%dir %{_libdir}/cmake/Qt6ScxmlTools
%{_libdir}/cmake/Qt6ScxmlTools/Qt6ScxmlTools*.cmake
%dir %{_libdir}/cmake/Qt6StateMachine
%{_libdir}/cmake/Qt6StateMachine/Qt6StateMachine*.cmake
%dir %{_libdir}/cmake/Qt6StateMachineQml
%{_libdir}/cmake/Qt6StateMachineQml/Qt6StateMachineQml*.cmake
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_statemachine*.pri
%{_libdir}/pkgconfig/Qt6Scxml.pc
%{_libdir}/pkgconfig/Qt6ScxmlQml.pc
%{_libdir}/pkgconfig/Qt6StateMachine.pc
%{_libdir}/pkgconfig/Qt6StateMachineQml.pc
%{_libdir}/qt6/mkspecs/features/qscxmlc.prf
%{_libdir}/qt6/mkspecs/modules/qt_lib_scxml*.pri

%changelog
* Wed Feb 05 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.2-1mamba
- update to 6.6.2

* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
